Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Data Points

Get DataPoints
GET /dataSets/{dataSetId}/dataPoints
https://api.uat.relesystest.net/api/v1.4/dataSets/{dataSetId}/dataPoints
Get a list of DataPoints by the DataSet Id
Scopes: relesys.api, relesys.api:read, relesys.api.kpis, relesys.api.kpis:read
URL Path
dataSetId string / guid required
Query String
dataValue double Filterable Sortable optional
departmentId string / guid Filterable optional
label string Filterable Sortable optional
timeStamp datetimeoffset Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"label":"Highest Basket Size","timeStamp":"2020-01-19T22:00:00+00:00","value":1337.0,"departmentId":"6872f659-fba1-4bf9-98eb-d44e703db8ec","userId":"ee42f58e-ff82-4128-b638-f20b071f856b"},{"label":"NPS","timeStamp":"2020-01-19T22:00:00+00:00","value":0.9,"departmentId":"65790af4-b0e5-4f53-9f88-864d76aaf2bc","userId":"ff4d8957-73c1-45ac-889b-73343599205e"}]}
object
  count integer      
  ⯈ data array[object]      
   departmentId string / guid      
   label string      
   timeStamp datetimeoffset      
   userId string / guid      
   value double      
  nextUrl string      
  previousUrl string